import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class secP extends JPanel implements ActionListener 
{private static final long serialVersionUID =764275865L;
public double en,boy;
public int kat;
public String yon;
public String pozisyon;
public String isim;
public int tip_no;
JLabel bos;
JLabel l_isim;
JLabel l_en,l_boy,l_tip,l_yon,l_ic,l_kat;
JTextField t_en,t_boy,t_kat;
JComboBox<String> list_tip,list_yon,list_ic;
JTextArea jta;
JTextArea cikti;
JPanel p1,p2;
String tip_aciklama[];
String yoni[]={"Kuzey","Güney","Doğu","Batı","Güneydoğu","Güneybatı","Kuzeydoğu","Kuzeybatı"};
String yonj[]={" "};
String yo[]={"K","G","D","B","GD","GB","KD","KB"};
String ic[]={"DD dış duvar","ID iç duvar","BDD bitişik dış duvar","DDO zemin döşeme","IDO arakatdöşe me","DTA dıştavan","ITA arakat tavan"};
String poz[]={"DD","ID","BDD","DDO","IDO","DTA","ITA"};
public boolean secim;
JButton secb;
public oda od;
public duvar duv;
public double U,A,UA;

public secP(String isimi,String tip[],String tip_aciklamai[],int kati, String eby[],double eni,double boyi)
{ secim=false;
  secb=new JButton("secim tamamlandığında basınız");
  secb.addActionListener(this);
  yon=yo[0];
  en=eni;
  boy=boyi;
  kat=kati;
  pozisyon=poz[0];
  isim=isimi;
  tip_aciklama=tip_aciklamai;
  cikti=new JTextArea(toString());
  bos=new JLabel(" ");
  l_isim=new JLabel(isim);
  l_en=new JLabel(eby[0]);
  l_boy=new JLabel(eby[1]);
  l_tip=new JLabel(eby[2]);
  l_yon=new JLabel(eby[3]);
  l_ic=new JLabel(eby[4]);
  //l_kat=new JLabel("kat");
  list_tip=new JComboBox<String>(tip);
  jta=new JTextArea(tip_aciklama[0]);
  list_ic=new JComboBox<String>(ic);
  if(!eby[3].equals(" "))
  {list_yon=new JComboBox<String>(yoni);}
  else
  {list_yon=new JComboBox<String>(yonj);}
  t_en=new JTextField(""+en);
  t_boy=new JTextField(""+boy);
  t_en.setEditable(false);
  t_boy.setEditable(false);
  //t_kat=new JTextField(""+kati);
  p1=new JPanel();
  p2=new JPanel();
  p1.setLayout(new GridLayout(2,6));
  p2.setLayout(new BorderLayout());
  setLayout(new BorderLayout());
  p1.add(bos);
  p1.add(l_en);
  p1.add(l_boy);
  p1.add(l_tip);
  p1.add(l_yon);
  p1.add(l_ic);
  //p1.add(l_kat);
  p1.add(l_isim);
  p1.add(t_en);
  p1.add(t_boy);
  p1.add(list_tip);
  p1.add(list_yon);
  p1.add( list_ic);
  p2.add(p1,BorderLayout.NORTH);
  p2.add(jta,BorderLayout.CENTER);
  p2.add(cikti,BorderLayout.SOUTH);
  add(p2,BorderLayout.CENTER);
  add(secb,BorderLayout.SOUTH);
  list_tip.addActionListener(this);
  //t_en.addActionListener(this);
  //t_boy.addActionListener(this);
  //t_kat.addActionListener(this);
  list_yon.addActionListener(this);
  int yonin=list_yon.getSelectedIndex(); 
  yon=yo[yonin];
  list_ic.addActionListener(this);
  A=en*boy;
  od=new oda();
  duv=od.duv[0];
  U=duv.U;
  UA=U*A;
}
public void setEnBoy(double eni,double boyi)
{ en=eni;
  boy=boyi;
  if(en==0||boy==0) secim=false;
}
 
public void set_T()
{ t_en.setText(""+en);
  t_boy.setText(""+boy); 
  A=en*boy;
  UA=U*A;
}
    public void actionPerformed(ActionEvent e) 
    {   
        if(e.getSource()==list_tip)
        { int tipi=list_tip.getSelectedIndex(); 
          jta.setText(tip_aciklama[tipi]);
          tip_no=tipi;
          duv=od.duv[list_tip.getSelectedIndex()];
          U=duv.U;
          UA=U*A;
        }
        /*
        else if(e.getSource()==t_en)
        {en=Double.parseDouble(t_en.getText());
         set_T(); 
         A=en*boy;
         UA=U*A;
        }
        else if(e.getSource()==t_boy)
        {boy=Double.parseDouble(t_boy.getText());
         set_T(); 
         A=en*boy;
         UA=U*A;}
        */
        else if(e.getSource()==list_yon)
        { int yonin=list_yon.getSelectedIndex(); 
          yon=yo[yonin];
        }
        else if(e.getSource()==list_ic)
        { int pozin=list_ic.getSelectedIndex(); 
          pozisyon=poz[pozin];
        }
        else if(e.getSource()==secb)
        { secim=true;}
        cikti.setText(toString());
        validate();
        repaint();  
        }
public String toString()
{
String s="isim = "+isim+"\n";
s+="tip no = "+tip_no+"\n";
s+="en     = "+en+"\n";
s+="boy    = "+boy+"\n";
s+="yön    = "+yon+"\n";
s+="kat	   = "+kat+"\n";
s+="pozisyon = "+pozisyon+"\n";
s+="seçim ="+secim+"\n";
s+="U="+U+"W/m^2K";
return s;}}